Bug 911053 - Review Request: nodejs-temp - Temporary files and directories for Node.js
Summary: Review Request: nodejs-temp - Temporary files and directories for Node.js
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 911040
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:49 UTC by Jamie Nguyen
Modified: 2013-04-07 00:21 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-03-19 14:11:46 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:49:53 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-temp.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-temp-0.5.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This Node.js module handles generating a unique file/directory name under the
appropriate system temporary directory, changing the file to an appropriate
mode, and supports automatic removal.

It has a similar API to the fs module.

Comment 1 Tom Hughes 2013-03-10 17:24:28 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- %check is present and all tests pass.

Tests seems to fail in mock but pass when run outside it?


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-temp-0.5.0-1.fc19.noarch.rpm
nodejs-temp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-temp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-temp.noarch: W: spelling-error %description -l en_US fs -> sf, gs, fa
nodejs-temp.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-temp
nodejs-temp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-temp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-temp.noarch: W: spelling-error %description -l en_US fs -> sf, gs, fa
nodejs-temp.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-temp (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-temp:
    nodejs-temp
    npm(temp)



MD5-sum check
-------------
http://registry.npmjs.org/temp/-/temp-0.5.0.tgz :
  CHECKSUM(SHA256) this package     : 082285c060c7519b9d8a6dbc1a51e3caa7de43a807d3f7cec4eab220ad1207be
  CHECKSUM(SHA256) upstream package : 082285c060c7519b9d8a6dbc1a51e3caa7de43a807d3f7cec4eab220ad1207be


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -x CheckNoNameConflict -m fedora-rawhide-x86_64 -r -n rpm/SRPMS/nodejs-temp-0.5.0-1.fc18.src.rpm

Comment 2 Jamie Nguyen 2013-03-10 17:46:30 UTC
Thanks again Tom. You're reviewing these so fast I actually have a backlog :)


> Tests seems to fail in mock but pass when run outside it?

That's odd. What errors are you getting? I just rebuilt in fedora-18-x86_64 and fedora-rawhide-x86_64 and they both build fine for me.

Comment 3 Tom Hughes 2013-03-10 17:52:50 UTC
Yeah I had kicked off a manual mock build and that did work, but I've just retried fedora-review and that has failed on mock again... Errors are:

+ /usr/bin/node test/temp-test.js
10 Mar 17:49:11 - createWriteStream /tmp/baz113210-21699-j86nlo
10 Mar 17:49:11 - mkdir /tmp/foo113210-21699-8d8v6t
10 Mar 17:49:11 - open /tmp/bar113210-21699-1nphk60
assert.js:102
  throw new assert.AssertionError({
        ^
AssertionError: temp.mkdir did not create the directory
    at /builddir/build/BUILD/package/test/temp-test.js:24:12
    at Object.cb [as oncomplete] (fs.js:155:19)
    at process._makeCallback (node.js:299:20)

Still if it only happens under fedora-review then it's not a problem, so package approved.

Comment 4 Jamie Nguyen 2013-03-10 17:57:45 UTC
New Package SCM Request
=======================
Package Name: nodejs-temp
Short Description: Temporary files and directories for Node.js
Owners: jamielinux
Branches: f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-03-11 12:18:40 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-03-11 22:11:56 UTC
nodejs-temp-0.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-temp-0.5.0-1.fc18

Comment 7 Fedora Update System 2013-03-12 08:27:53 UTC
nodejs-temp-0.5.0-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-04-07 00:21:17 UTC
nodejs-temp-0.5.0-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.